/*
 * DBQueryParameterMap.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.dbaccess;

import java.util.HashMap;


/**
 * SQLに渡す引数のクラス。
 * @author Lijuan Sun
 */
public class DBQueryParameterMap extends HashMap<String,Object>{

	/**
	 *  シリアルバージョンUID
	 */
	private static final long serialVersionUID = 2207647202634625727L;

	/**
	 * コンストラクタ
	 */
	public DBQueryParameterMap() {
		super();
	}

	/**
	 * １レコード分のMap情報
	 * @param record DBRecord
	 */
	public DBQueryParameterMap(DBRecord record) {
		for (String key : record.toMap().keySet()) {
			put(key, record.getObject(key));
		}
	}
}
